!set title=Orden de una matriz
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r
varcnt=19
prevarcnt=18
postvarcnt=0
replycnt=2
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Oui
val7=Non
val8=$val6,$val7
tmp0=!randint 2, 6

val9=$[rint($(tmp0))]
tmp0=!randint 2, 6

val10=$[rint($(tmp0))]
tmp0=!randint 2, 6

val11=$[rint($(tmp0))]
val12=$[rint($val9)]
t_=!replace internal \( by ( in print(matrix($val10,$val9,x,y,random\(9)-4))
tmp0=!exec pari $t_

val13=$(tmp0)
t_=!replace internal \( by ( in print(matrix($val12,$val11,x,y,random\(9)-4))
tmp0=!exec pari $t_

val14=$(tmp0)
t_=!replace internal \( by ( in print([$val13]*[$val14])
tmp0=!exec pari $t_

val15=$(tmp0)
tmp0=!randitem 1,2

val16=$[rint($(tmp0))]
tmp0=!item $val16 of B,A

val17=$(tmp0)
!if $val16=1 
val18=A = [$val13]
val19=$[rint($val12)]
val20=$[rint($val11)]
!else
val18=B = [$val14]
val19=$[rint($val10)]
val20=$[rint($val9)]
!endif
replyname1=Number of rows
replygood1=$val19
replyname2=Number of columns
replygood2=$val20
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Consideramos dos matrices 
!insmath A
$() y 
!insmath B
$(), con	<p><center>	 
!insmath $val18
$() , y 
!insmath AB = [$val15]
$() .	</center><p>	¿Cuál es el orden de 
!insmath $val17
$() ?	<p>	Respuesta: 
!insmath $val17
$() tiene  
!read oef/embed.phtml reply 1,2 
$() filas y  
!read oef/embed.phtml reply 2,2 
$() columnas.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=15,17,18
embedcnt=2
